Get All Quote Purposes
GET/v1/crossborder/quotes/purposes
Retrieve a list of all crossborder quote purposes. Optional filter parameters can be used to refine your search.
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [tag]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 401
- 403
- 422
Quote purposes returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Quotes data.
Quote purpose tag.
Description.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"tag": "INTERNATIONAL_PERSONAL_REMITTANCE",
"description": "Payment for services"
}
]
}
User authentication failed.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 401,
"error": "USER",
"message": "Access is denied."
}
User access denied.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 403,
"error": "USER",
"message": "Access denied to requested resource. User may not have sufficient permission."
}
If any required params are missing or have invalid format or type.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 422,
"error": "USER",
"message": "Invalid quote currency amount. The minimum allowed is 100, and you requested 61.",
"code": "INVALID_QUOTE_CURRENCY_MIN_AMOUNT"
}